Subject: Re: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

From: Colin Perkins <[email-masked]>
Date: Wed, 8 Dec 2021 23:14:07 +0000

Hi Ingemar, 

Belatedly, thank you for the review!

Your comments make sense, and I’ll address then in the next version. I’ll also double check the arithmetic and revise as needed.

Security considerations are needed in all documents, although as you note, there’s little new to say here.

Colin

> On 15 Nov 2021, at 10:29, Ingemar Johansson S <ingemar.s.johansson=[email-masked]> wrote:
> 
> Hi
>  
> I promised to review draft-ietf-rmcat-rtp-cc-feedback-07 
> Overall a very well written draft, just a few comments of minor nature, not sure if they are useful but anyway..
>  
>  
> Page 3, 3rd para : Unlike “unpaced” TCP, multimedia traffic is naturally paced to the frame rate of the media encoder (for instance 50 frames/second), so issues with coalescing that can occur with TCP and very sparse ACKs, does not occur with multimedia traffic. What instead puts a limit is how fast the algorithm should react to congestion and how it is designed.
>  
> Section 3.1 para 3 : Non-compound is mentioned but RFC5506 is referenced later
>  
> Section 3.1 equations : I checked the equations and they seem to match. But when I tried to verify the values in the tables I get different values, a simple hack in matlab/octave gives
> Table 1
> >> n=2;Tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000
> Brtcp =
>    56.8000   28.4000   14.2000    7.1000
> >> n=2;Tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000
> Brtcp =
>    18.9333    9.4667    4.7333    2.3667
>  
> Table 2
> >> n=2;tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000
> Brtcp =
>    40.8000   20.4000   10.2000    5.1000
> >> n=2;tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000
> Brtcp =
>    13.6000    6.8000    3.4000    1.7000
>  
> Section 3.2 : Here it obviously gets more tricky. What would perhaps have been more helpful is to present the equation for Brtcp here as well. 
>  
> Section 5: See this more as a question, is a security considerations section needed as this memo does not propose any new feedback format ?
>  
> /Ingemar
> ================================
> Ingemar Johansson  M.Sc. 
> Master Researcher
>  
> Ericsson Research
> RESEARCHER
> GFTL ER NAP NCM Netw Proto & E2E Perf
> Labratoriegränd 11
> 977 53, Luleå, Sweden
> Phone +46-1071 43042
> SMS/MMS +46-73 078 3289
> [email-masked] <mailto:[email-masked]>
> www.ericsson.com <http://www.ericsson.com/>
>  
> A lie can travel half way around the world 
>     while the truth is putting on its shoes.
>                           Mark Twain
> =================================

-- 
Colin Perkins
https://csperkins.org/

---

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 13 Dec 2021 10:19:59 +0000

OK, thanks for the clarification on the security considerations

/Ingemar

From: Colin Perkins <[email-masked]> 
Sent: den 9 december 2021 00:14
To: Ingemar Johansson S <ingemar.s.johansson=[email-masked]>
Cc: [email-masked]; Ingemar Johansson S <[email-masked]>
Subject: Re: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

Hi Ingemar, 

Colin

On 15 Nov 2021, at 10:29, Ingemar Johansson S <ingemar.s.johansson=[email-masked] <mailto:ingemar.s.johansson=[email-masked]> > wrote:

Hi

 

Table 1

Brtcp =

Brtcp =

Table 2

Brtcp =

Brtcp =

/Ingemar

Ingemar Johansson  M.Sc. 

Master Researcher

Ericsson Research

RESEARCHER

Labratoriegränd 11

977 53, Luleå, Sweden

Phone +46-1071 43042

SMS/MMS +46-73 078 3289

www.ericsson.com <https://protect2.fireeye.com/v1/url?k=31323334-501d5122-fe22d327-454445555731-4b18689a6c3ebcce&q=1&e=0-cac352121961300a34f9346eba44be9d&u=http%3A%2F%2Fwww.ericsson.com%2F> 

                          Mark Twain

-- 
Colin Perkins
https://csperkins.org/ <https://protect2.fireeye.com/v1/url?k=31323334-501d5122-fe22d327-454445555731-08f5fb2aef15c9db&q=1&e=0-cac352121961300a34f9346eba44be9d&u=https%3A%2F%2Fcsperkins.org%2F>

---

From: Colin Perkins <[email-masked]>
Date: Tue, 28 Dec 2021 16:57:36 +0000

Hi Ingemar,

> Overall a very well written draft, just a few comments of minor nature, not sure if they are useful but anyway..

Thank you for the comments!

> Page 3, 3rd para : Unlike “unpaced” TCP, multimedia traffic is naturally paced to the frame rate of the media encoder (for instance 50 frames/second), so issues with coalescing that can occur with…

Agree. I added some words to try to address this, at the end of Section 2.

> Section 3.1 para 3 : Non-compound is mentioned but RFC5506 is referenced later

Fixed.

> >> n=2;Tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000

The main difference here is that I have Sc = 142 + 2*Nr and Snc = 62 + 2*Nr, whereas you have Sc = 142 and Snc = 62. That is, your calculation misses the size of the per-packet feedback in the CCFB packet.

The other, more minor difference, is that I’m dividing by 1024 to get kbps, whereas you divide by 1000.

> Section 3.2 : Here it obviously gets more tricky. What would perhaps have been more helpful is to present the equation for Brtcp here as well. 

It’s the same equation. Do you mean just repeat the definition?

Thanks for your feedback!

Cheers,
Colin